﻿using UnityEngine;
using System.Collections;
using System;
using UIWidgets;

namespace UIWidgetsSamples {

	public enum ChatLineType {
		System,
		User,
	}

	[Serializable]
	public class ChatLine : IItemHeight {
		[SerializeField]
		public string UserName;
		[SerializeField]
		public string Message;
		[SerializeField]
		public DateTime Time;

		[SerializeField]
		public ChatLineType Type;

		public float Height {
			get;
			set;
		}
	}
}